services:
  homeassistant:
    image: homeassistant/home-assistant:latest
    container_name: homeassistant
    environment:
      - PUID=2000
      - PGID=2000
      - TZ=America/Los_Angeles
    volumes:
      - homeassistant_data:/config
      #- /opt/docker/conf/homeassistant:/config
    ports:
      - 8123:8123 #optional
    #    devices:
    #      - /path/to/device:/path/to/device #optional
    restart: unless-stopped
    env_file:
      - .env
    labels:
      - homepage.group=Apps
      - homepage.name=Home Assistant
      - homepage.icon=si-homeassistant
      - homepage.description=Home Automation (esh)
      - homepage.href=http://10.0.50.45:8123
    networks:
      - traefik-net
networks:
  traefik-net:
    external: true
volumes:
  homeassistant_data: null
